#
# spec file for package ghc-uri-encode
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name uri-encode
Name:           ghc-%{pkg_name}
Version:        1.5.0.7
Release:        bp155.3.16
Summary:        Unicode aware uri-encoding
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-utf8-string-devel
ExcludeArch:    %{ix86}

%description
This package allows you to uri encode and uri decode Strings, Texts and
ByteString values.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Jan 20 2022 Peter Simons <psimons@suse.com>
- Update uri-encode to version 1.5.0.7 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Feb  3 2021 psimons@suse.com
- Update uri-encode to version 1.5.0.7 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Mon Oct 19 2020 psimons@suse.com
- Update uri-encode to version 1.5.0.7.
  [#]### 1.5.0.7
  * Don't make docs executable, thanks to Jens Petersen
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Sun Jul 19 2020 psimons@suse.com
- Update uri-encode to version 1.5.0.6.
  [#]### 1.5.0.6
  * Improve performance, thanks to David Farrell
* Wed Jul  8 2020 psimons@suse.com
- Add uri-encode at version 1.5.0.5.
